Changes AI clients asked for: your own grants'; every one's for its owner and staff under support access
GET
/v1/buyer/ai-confirmations
const url = 'https://example.com/v1/buyer/ai-confirmations';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/buyer/ai-confirmations \ --header 'Authorization: Bearer <token>'Who: a workspace’s buyer or viewer, or staff under its support access. Not for API keys.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page_size
integer
Rows a page, up to the list’s maximum; the service’s default when left out
page_token
string
The previous page’s meta.next_page_token
grant_id
string
status
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
required
Array<object>
object
arguments
required
client
required
object
host
required
string
id
required
string
name
required
string
redirect_host
required
string
completed_at
required
string | null format: date-time
context
created_at
required
string format: date-time
decided_at
required
string | null format: date-time
decided_by
required
error_message
string
error_reason
string
expires_at
required
string format: date-time
grant_id
required
string
id
required
string
outcome
required
review
Any of:
object
items
required
Array<object>
object
action
required
string
campaign_url
string
changes
required
Array<object>
object
field
required
string
from
required
from_host
string
new_host
boolean
to
required
to_host
string
connection
string
expected_sequence
integer format: int64
id
integer format: int64
name
required
string
network
string
object
required
string
sequence
integer format: int64
stale
required
boolean
updated_at
string
null
stale_items
Array<string>
status
required
string | null
targets
object
key
additional properties
tool
required
string
url
required
string
user_id
required
string
meta
required
object
next_page_token
required
string | null
total
required
integer | null format: int64
total_approximate
required
boolean
Example
{ "data": [ { "decided_by": { "kind": "user" }, "status": "pending" } ]}default
Section titled “default”An error, as go-commons apperr maps it
Media typeapplication/json
object
error
required
object
code
required
string
fields
object
key
additional properties
string
message
required
string
Example generated
{ "error": { "code": "example", "fields": { "additionalProperty": "example" }, "message": "example" }}